#!/bin/sh -x

sudo brctl show br200 || (
sudo brctl addbr br200
sudo ip link set br200 up
sudo ifconfig br200 10.200.1.1 netmask 255.255.255.0
)

case $1 in
	1)
	sudo kvm -m 1024 -hda edozvola-db-01.qcow2 -hdb edozvola-db-01-sdb.qcow2 -vnc :1 -netdev tap,br=br200,id=e1,script=ifup-br200.sh -device virtio-net-pci,netdev=e1,mac=aa:00:10:20:01:61 -netdev user,id=e2 -device virtio-net-pci,netdev=e2 -monitor stdio -pidfile /tmp/edozvola-db-01.pid
	;;
	2)
	sudo kvm -m 1024 -hda edozvola-db-02.qcow2 -hdb edozvola-db-02-sdb.qcow2 -vnc :2 -netdev tap,br=br200,id=e1,script=ifup-br200.sh -device virtio-net-pci,netdev=e1,mac=aa:00:10:20:01:62 -netdev user,id=e2 -device virtio-net-pci,netdev=e2 -monitor stdio -pidfile /tmp/edozvola-db-02.pid
	;;
	0)
	sudo kvm -m 1024 -hda edozvola-db-pgpool.qcow2 -vnc :0 -netdev tap,br=br200,id=e1,script=ifup-br200.sh -device virtio-net-pci,netdev=e1,mac=aa:00:10:20:01:60 -netdev user,id=e2 -device virtio-net-pci,netdev=e2 -monitor stdio -pidfile /tmp/edozvola-db-pgpool.pid
	;;
	master)
	sudo kvm -m 1024 -hda db-master.qcow2 -vnc :0 -netdev tap,br=br200,id=e1,script=ifup-br200.sh -device virtio-net-pci,netdev=e1,mac=aa:00:10:20:01:60 -netdev user,id=e2 -device virtio-net-pci,netdev=e2 -monitor stdio -pidfile /tmp/db-master.pid
	;;
	# qemu-img create -f qcow2 -o backing_file=db-backing.qcow2 -F qcow2 db-slave.qcow2
	slave)
	sudo kvm -m 1024 -hda db-slave.qcow2 -vnc :1 -netdev tap,br=br200,id=e1,script=ifup-br200.sh -device virtio-net-pci,netdev=e1,mac=aa:00:10:20:01:61 -netdev user,id=e2 -device virtio-net-pci,netdev=e2 -monitor stdio -pidfile /tmp/db-slave.pid
	;;
esac
